    Create an ARF data structure.

unpack_arf(arg)
>>> arf1 = unpack_arf("arf1.fits") >>> arf2 = unpack_arf("arf2.fits")

Read in an ARF using Crates:

>>> acr = pycrates.read_file("src.arf") >>> arf = unpack_arf(acr)

Read in an ARF using AstroPy:

>>> hdus = astropy.io.fits.open("src.arf") >>> arf = unpack_arf(hdus)

PARAMETERS

The parameter for this function is:

Parameter
Definition
arg
Identify the ARF: a file name, or a data structure representing the data to use, as used by the I/O backend in use by Sherpa: a tablecrate for crates, as used by CIAO, or a list of AstroPy HDU objects.

Notes

The `minimum_energy` setting of the `ogip` section of the Sherpa configuration file determines the behavior when an ARF with a minimum energy of 0 is read in. The default is to replace the 0 by the value 1e-10, which will also cause a warning message to be displayed.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023